

public class PeriodicElementBean implements java.io.Serializable {
	private int number;
	private String name;
	private String symbol;
	private double weight;
	private int numberOfNeutrons;
	private int numberOfProtons;
	private int numberOfElectrons;
	private int period;
	private int group;
	private Phase phase;
	
	// default constructor
	public PeriodicElementBean() {
		this(-1, null, null, -1.0, -1, -1, -1, -1, -1, null);
	}
	
	// constructor
	public PeriodicElementBean(int number, String name, String symbol, double weight, int numberOfNeutrons,
			int numberOfProtons, int numberOfElectrons, int period, int group, Phase phase) {
		super();
		this.number = number;
		this.name = name;
		this.symbol = symbol;
		this.weight = weight;
		this.numberOfNeutrons = numberOfNeutrons;
		this.numberOfProtons = numberOfProtons;
		this.numberOfElectrons = numberOfElectrons;
		this.period = period;
		this.group = group;
		this.phase = phase;
	}

	// getter & setter
	public int getNumber() {
		return number;
	}

	public void setNumber(int number) {
		this.number = number;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSymbol() {
		return symbol;
	}

	public void setSymbol(String symbol) {
		this.symbol = symbol;
	}

	public double getWeight() {
		return weight;
	}

	public void setWeight(double weight) {
		this.weight = weight;
	}

	public int getNumberOfNeutrons() {
		return numberOfNeutrons;
	}

	public void setNumberOfNeutrons(int numberOfNeutrons) {
		this.numberOfNeutrons = numberOfNeutrons;
	}

	public int getNumberOfProtons() {
		return numberOfProtons;
	}

	public void setNumberOfProtons(int numberOfProtons) {
		this.numberOfProtons = numberOfProtons;
	}

	public int getNumberOfElectrons() {
		return numberOfElectrons;
	}

	public void setNumberOfElectrons(int numberOfElectrons) {
		this.numberOfElectrons = numberOfElectrons;
	}

	public int getPeriod() {
		return period;
	}

	public void setPeriod(int period) {
		this.period = period;
	}

	public int getGroup() {
		return group;
	}

	public void setGroup(int group) {
		this.group = group;
	}

	public Phase getPhase() {
		return phase;
	}

	public void setPhase(Phase phase) {
		this.phase = phase;
	}

	@Override
	public String toString() {
		return "PeriodicElementBean [number=" + number + ", name=" + name + ", symbol=" + symbol + ", weight=" + weight
				+ ", numberOfNeutrons=" + numberOfNeutrons + ", numberOfProtons=" + numberOfProtons
				+ ", numberOfElectrons=" + numberOfElectrons + ", period=" + period + ", group=" + group + ", phase="
				+ phase + "]";
	}

}
