

public enum Phase {
	GAS, // 0
	SOLID, // 1
	LIQUID, // 2
	UNKNOWN; // 3
	
	// Phase nameOf(String)
	public static Phase nameOf(String name) {
		switch (name) {
		case "gas":
		case "GAS":
			return GAS;
		case "solid":
		case "SOLID":
			return SOLID;			
		case "liq":
		case "LIQUID":
			return LIQUID;
		case "artificial":
		case "UNKNOWN":
			return UNKNOWN;
		default:
			return null;
		}
	}
}
